Package org.apache.tomcat.util.http.parser

## Class StructuredField

- java.lang.Object
- - org.apache.tomcat.util.http.parser.StructuredField

-     public class StructuredField
      extends Object

  Parsing of structured fields as per RFC 8941.

  The parsing implementation is complete but not all elements are currently exposed via getters. Additional getters will be added as required as the use of structured fields expands.

  The serialization of structured fields has not been implemented.

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`